Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface Adaptor

All Superinterfaces:
  java.rmi.Remote

All Known Subinterfaces:
  AlleleConsequenceAdaptor, AlleleFeatureAdaptor, AlleleGroupAdaptor, AnalysisAdaptor, AssemblyExceptionAdaptor, AssemblyMapperAdaptor, CoordinateSystemAdaptor, DnaDnaAlignFeatureAdaptor, DnaDnaAlignmentAdaptor, DnaFragmentAdaptor, DnaProteinAlignmentAdaptor, ExonAdaptor, ExternalDatabaseAdaptor, ExternalRefAdaptor, FeatureAdaptor, GeneAdaptor, GenomeDBAdaptor, GenomicAlignAdaptor, GenomicAlignBlockAdaptor, IndividualAdaptor, IndividualGenotypeAdaptor, KaryotypeBandAdaptor, LDFeatureAdaptor, LocationConverter, LockableGeneAdaptor, MarkerAdaptor, MemberAdaptor, MethodLinkAdaptor, MethodLinkSpeciesSetAdaptor, MiscFeatureAdaptor, MiscSetAdaptor, OligoArrayAdaptor, OligoFeatureAdaptor, OligoProbeAdaptor, PopulationAdaptor, PopulationGenotypeAdaptor, PredictionExonAdaptor, PredictionTranscriptAdaptor, ProteinFeatureAdaptor, QtlAdaptor, QtlFeatureAdaptor, RepeatConsensusAdaptor, RepeatFeatureAdaptor, SequenceAdaptor, SimpleFeatureAdaptor, StableIDEventAdaptor, SupportingFeatureAdaptor, TranscriptAdaptor, TranscriptVariationAdaptor, TranslationAdaptor, VariationAdaptor, VariationFeatureAdaptor, VariationGroupAdaptor, VariationGroupFeatureAdaptor

public interface Adaptor
extends java.rmi.Remote

Provides access to some datatype in some datasource.

Method Summary
`void` | `clearCache()` Clears any caches being used by the adaptor.
`void` | `closeAllConnections()` Closes all connections opened by the adaptor.
`java.lang.String` | `getType()`

Method Detail

### getType

    public java.lang.String getType()
                             throws AdaptorException

  Throws:
    `AdaptorException`

### closeAllConnections

    public void closeAllConnections()
                             throws AdaptorException

  Closes all connections opened by the adaptor.

  Throws:
    `AdaptorException`

### clearCache

    public void clearCache()
                    throws AdaptorException

  Clears any caches being used by the adaptor. This should be called if the data in the database changes during the adaptors lifetime to prevent the adaptor becoming out of sync with the database. Not all adaptors will necessarily use caches, in those cases this method will do nothing.

  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD